API referenceBroadcasts

GET /broadcasts/{broadcastId}/recipients

Recipients with delivery status (filter by status) and summary totals

GET
/broadcasts/{broadcastId}/recipients

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

broadcastId*string

Broadcast id

Query Parameters

status?string

pending, sent, delivered, read, failed

limit?integer

Page size

Range1 <= value
skip?integer

Items to skip

Range0 <= value

Response Body

{success, recipients, pagination, summary}

application/json
  1. response
success?boolean
recipients?array<>
pagination?
summary?
Example Request
curl -X GET 'https://example.com/api/v1/broadcasts/string/recipients'
Example Response
{  "success": true,  "recipients": [    {      "id": "string",      "contactId": "string",      "channelId": "string",      "platformIdentifier": "string",      "contactName": "string",      "status": "pending",      "messageId": "string",      "platformMessageId": "string",      "error": "string",      "errorCode": 0,      "errorExplanation": "string",      "errorTraceId": "string",      "sentAt": "2019-08-24T14:15:22Z",      "deliveredAt": "2019-08-24T14:15:22Z",      "readAt": "2019-08-24T14:15:22Z",      "failedAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "total": 0,    "limit": 0,    "skip": 0,    "hasMore": true  },  "summary": {    "total": 0,    "pending": 0,    "sent": 0,    "delivered": 0,    "read": 0,    "failed": 0  }}